# WOK
TKWOK
WOKUnix

# WOKUnix_AdmFile Class Reference

Reads a file in WOK format :
- lines beginning with # are ignored
- lines ending with \ are continued
- empty lines are ignored
.

`#include <WOKUnix_AdmFile.hxx>`

Inheritance diagram for WOKUnix_AdmFile:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUnix_AdmFile ()
| empty contructor
Standard_EXPORT | WOKUnix_AdmFile (const Handle(TCollection_HAsciiString)&apath)
| constructor initialising mypath
Standard_EXPORT | WOKUnix_AdmFile (const Handle(WOKUnix_Path)&apath)
| constructor initialising mypath
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Read ()
| Reads the file .

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_AdmFile::WOKUnix_AdmFile | ( |  | ) |

Standard_EXPORT WOKUnix_AdmFile::WOKUnix_AdmFile | ( | const Handle(TCollection_HAsciiString)& | apath | ) |

Standard_EXPORT WOKUnix_AdmFile::WOKUnix_AdmFile | ( | const Handle(WOKUnix_Path)& | apath | ) |

## Member Function Documentation

void WOKUnix_AdmFile::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKUnix_FDescr.

void* WOKUnix_AdmFile::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKUnix_FDescr.

void* WOKUnix_AdmFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKUnix_FDescr.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_AdmFile::Read | ( |  | ) |

The documentation for this class was generated from the following file:

- WOKUnix_AdmFile.hxx